Allen_DUCK 2022-02-23 22:07 采纳率: 62.5%
浏览 267
已结题

请问为什么从gitlab pull代码下来,依赖会飘红?

问题遇到的现象和发生背景
         从gitlab拉取最新代码下来,idea的maven配置会变成bundle(maven 3),然后会有一个依赖包报错,公司电脑上是没有的

然后换成apache-maven-3.6.3后,一片依赖飘红,有的能通过下载依赖包解决,有的搜不到依赖包

问题相关代码,请勿粘贴截图
运行结果及报错内容
我的解答思路和尝试过的方法
        我试过clean install,就是不行,感觉是maven包的问题

先谢谢愿意解答的各位了!

  • 写回答

5条回答 默认 最新

  • 猫巳 Java领域优质创作者 2022-02-24 09:44
    关注

    如果公司有自己搭建的maven库的话,应该是有些jar包在公共的库下载不到的,你需要配置maven的数据源为你们公司的maven服务地址,具体你可以找你的同事要一份maven的配置文件setting.xml看看, 在配置文件的mirrors标签下。

    本回答被题主选为最佳回答 , 对您是否有帮助呢?
    评论
查看更多回答(4条)

报告相同问题?

问题事件

  • 系统已结题 3月11日
  • 已采纳回答 3月3日
  • 创建了问题 2月23日

悬赏问题

  • ¥15 MATLAB动图问题
  • ¥15 有段代码不知道怎么理解,const isToken = (config.headers || {}).isToken === false
  • ¥100 采用栈和深度优先算法对我的代码进行修改显示路径
  • ¥15 pointnet2包安装
  • ¥20 射频功率问题,解答者有酬谢!
  • ¥80 构建降雨和积水的预测模型
  • ¥15 #Qt Transform setTransform()在鼠标拖动移动视角是一致在原地不动,无法变换视角(细微观察似乎视图有在原地抖动),无法变换视角(细微观察似乎视图有在原地抖动)
  • ¥50 如何利用无人机拍摄的数码照片测量鸟卵的长短径
  • ¥100 github贡献者给与奖励
  • ¥15 使用DS18B20+ESP8266获取温度数据返回-127.00